Closed Bug 1486423 Opened Last year Closed Last year

toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_sendShutdownPing - [test_sendShutdownPing : 1046] The OS shutdown scalar must be set to true. is going to permafail when the Gecko version number is bumped to 64 on 2018-09-04

Categories

(Toolkit :: Telemetry, defect)

defect
Not set

Tracking

()

VERIFIED FIXED
mozilla63
Tracking Status
firefox-esr52 --- unaffected
firefox-esr60 --- unaffected
firefox61 --- unaffected
firefox62 --- unaffected
firefox63 + verified

People

(Reporter: ebalazs_, Assigned: agashlin)

References

Details

Attachments

(1 file)

[task 2018-08-27T12:09:05.357Z] 12:09:05     INFO -  TEST-PASS | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_sendShutdownPing - [test_sendShutdownPing : 1043] The 'shutdown' ping must be saved to disk. - {"type":"main","id":"d1b9fe97-604e-43d9-b2c6-d621a4d2c6bf","creationDate":"2040-02-01T12:20:00.000Z","version":4,"application":{"architecture":"x86-64","buildId":"20160315","name":"XPCShell","version":"1","displayVersion":"64.0a1","vendor":"Mozilla","platformVersion":"1.9.2","xpcomAbi":"noarch-spidermonkey","channel":"default"},"payload":{"ver":4,"simpleMeasurements":{"totalTime":4,"uptime":0,"addonManager":{"XPIDB_startup_load_reasons":["directoryState","schemaChanged"],"XPIDB_sync_stack":"JS Stack trace: syncLoadDB@XPIDatabase.jsm:1338:15\\ncheckForChanges@XPIProvider.jsm:2533:9\\nstartup@XPIProvider.jsm:2116:25\\ncallProvider@AddonManager.jsm:206:12\\n_startProvider@AddonManager.jsm:654:5\\nstartup@AddonManager.jsm:811:9\\nstartup@AddonManager.jsm:2806:5\\nobserve@addonManager.js:66:9\\npromiseStartupManager@AddonTestUtils.jsm:773:5\\nAsync*loadAddonManager@head.js:201:10\\ntest_setup@test_TelemetrySession.js:438:3\\nasync*run_next_test/_run_next_test/<@head.js:1441:22\\nasync*_run_next_test@head.js:1441:10\\nrun@head.js:692:9\\n_do_main@head.js:219:3\\n_execute_test@head.js:533:5\\n@-e:1:1","XPIDB_rebuildUnreadableDB_MS":0},"main":0,"AMI_startup_begin":214,"XPI_startup_begin":239,"XPI_bootstrap_addons_begin":320,"XPI_bootstrap_addons_end":320,"XPI_startup_end":320,"AMI_startup_end":328,"startupInterrupted":1,"maximalNumberOfConcurrentThreads":53,"debuggerAttached":0,"shutdownDuration":10000,"failedProfileLockCount":2,"activeTicks":0},"log":[],"webrtc":{"IceCandidatesStats":{"webrtc":{}}},"processes":{"parent":{"scalars":{},"keyedScalars":{},"gc":{"random":[],"worst":[{"status":"completed","timestamp":2246.172119140625,"max_pause":16.873,"total_time":16.873,"reason":"COMPONENT_UTILS","zones_collected":4,"total_zones":4,"total_compartments":4,"minor_gcs":1,"slices":1,"mmu_20ms":15,"mmu_50ms":66,"scc_sweep_total":0.828,"scc_sweep_max_pause":0.828,"nonincremental_reason":"NonIncrementalRequested","allocated_bytes":4911104,"major_gc_number":12,"minor_gc_number":15,"slice_number":39,"slices_list":[{"slice":0,"pause":16.873,"reason":"COMPONENT_UTILS","initial_state":"NotActive","final_state":"NotActive","budget":"unlimited","major_gc_number":12,"start_timestamp":-1535371739339.8687,"times":{"evict_nursery_for_major_gc":3.914,"evict_nursery_for_major_gc.mark_roots":0.033,"evict_nursery_for_major_gc.mark_roots.mark_stack":0.015,"wait_background_thread":1.771,"prepare":0.432,"prepare.mark_discard_code":0.392,"prepare.purge":0.018,"prepare.join_parallel_tasks":0,"mark":6.703,"mark.mark_roots":0.354,"mark.mark_roots.mark_ccws":0.001,"mark.mark_roots.mark_stack":0.027,"mark.mark_roots.mark_runtime_data":0.265,"mark.mark_roots.mark_embedding":0.016,"sweep":4.011,"sweep.sweep_mark":0.404,"sweep.sweep_mark.sweep_mark_incoming_black":0,"sweep.sweep_mark.sweep_mark_weak":0.023,"sweep.sweep_mark.sweep_mark_incoming_gray":0,"sweep.sweep_mark.sweep_mark_gray":0.366,"sweep.sweep_mark.sweep_mark_gray_weak":0.01,"sweep.finalize_start":0.062,"sweep.finalize_start.weak_zones_callback":0.051,"sweep.finalize_start.weak_compartment_callback":0.008,"sweep.update_atoms_bitmap":0.043,"sweep.sweep_atoms_table":0.324,"sweep.sweep_compartments":1.576,"sweep.sweep_compartments.sweep_breakpoint":0,"sweep.sweep_compartments.sweep_jit_data":0.175,"sweep.sweep_compartments.sweep_misc":0.001,"sweep.sweep_compartments.sweep_types":0.754,"sweep.sweep_compartments.sweep_types.sweep_types_begin":0.002,"sweep.sweep_compartments.sweep_types.sweep_types_end":0.003,"sweep.sweep_compartments.join_parallel_tasks":0.597,"sweep.sweep_object":0.004,"sweep.sweep_string":0.002,"sweep.sweep_script":0.003,"sweep.sweep_scope":0.001,"sweep.sweep_regexp_shared":0.001,"sweep.sweep_shape":0.164,"sweep.finalize_end":0.052,"sweep.destroy":0.171},"end_timestamp":null}],"totals":{"evict_nursery_for_major_gc":3.914,"evict_nursery_for_major_gc.mark_roots":0.033,"evict_nursery_for_major_gc.mark_roots.mark_stack":0.015,"wait_background_thread":1.771,"prepare":0.432,"prepare.mark_discard_code":0.392,"prepare.purge":0.018,"prepare.join_parallel_tasks":0,"mark":6.703,"mark.mark_roots":0.354,"mark.mark_roots.mark_ccws":0.001,"mark.mark_roots.mark_stack":0.027,"mark.mark_roots.mark_runtime_data":0.265,"mark.mark_roots.mark_embedding":0.016,"sweep":4.011,"sweep.sweep_mark":0.404,"sweep.sweep_mark.sweep_mark_incoming_black":0,"sweep.sweep_mark.sweep_mark_weak":0.023,"sweep.sweep_mark.sweep_mark_incoming_gray":0,"sweep.sweep_mark.sweep_mark_gray":0.366,"sweep.sweep_mark.sweep_mark_gray_weak":0.01,"sweep.finalize_start":0.062,"sweep.finalize_start.weak_zones_callback":0.051,"sweep.finalize_start.weak_compartment_callback":0.008,"sweep.update_atoms_bitmap":0.043,"sweep.sweep_atoms_table":0.324,"sweep.sweep_compartments":1.576,"sweep.sweep_compartments.sweep_breakpoint":0,"sweep.sweep_compartments.sweep_jit_data":0.175,"sweep.sweep_compartments.sweep_misc":0.001,"sweep.sweep_compartments.sweep_types":0.754,"sweep.sweep_compartments.sweep_types.sweep_types_begin":0.002,"sweep.sweep_compartments.sweep_types.sweep_types_end":0.003,"sweep.sweep_compartments.join_parallel_tasks":0.597,"sweep.sweep_object":0.004,"sweep.sweep_string":0.002,"sweep.sweep_script":0.003,"sweep.sweep_scope":0.001,"sweep.sweep_regexp_shared":0.001,"sweep.sweep_shape":0.164,"sweep.finalize_end":0.052,"sweep.destroy":0.171,"barrier":0.45,"barrier.unmark_gray":0.268}},{"status":"completed","timestamp":2442.775146484375,"max_pause":13.343,"total_time":13.343,"reason":"COMPONENT_UTILS","zones_collected":4,"total_zones":4,"total_compartments":4,"minor_gcs":1,"slices":1,"mmu_20ms":33,"mmu_50ms":73,"scc_sweep_total":0.7,"scc_sweep_max_pause":0.7,"nonincremental_reason":"NonIncrementalRequested","allocated_bytes":4939776,"major_gc_number":14,"minor_gc_number":17,"slice_number":45,"slices_list":[{"slice":0,"pause":13.343,"reason":"COMPONENT_UTILS","initial_state":"NotActive","final_state":"NotActive","budget":"unlimited","major_gc_number":14,"start_timestamp":-1535371739339.8684,"times":{"evict_nursery_for_major_gc":2.233,"evict_nursery_for_major_gc.mark_roots":0.029,"evict_nursery_for_major_gc.mark_roots.mark_stack":0.014,"wait_background_thread":1.367,"prepare":0.475,"prepare.mark_discard_code":0.443,"prepare.purge":0.013,"prepare.join_parallel_tasks":0,"mark":5.092,"mark.mark_roots":0.265,"mark.mark_roots.mark_ccws":0.001,"mark.mark_roots.mark_stack":0.023,"mark.mark_roots.mark_runtime_data":0.194,"mark.mark_roots.mark_embedding":0.014,"sweep":4.133,"sweep.sweep_mark":0.742,"sweep.sweep_mark.sweep_mark_incoming_black":0,"sweep.sweep_mark.sweep_mark_weak":0.022,"sweep.sweep_mark.sweep_mark_incoming_gray":0,"sweep.sweep_mark.sweep_mark_gray":0.706,"sweep.sweep_mark.sweep_mark_gray_weak":0.01,"sweep.finalize_start":0.043,"sweep.finalize_start.weak_zones_callback":0.031,"sweep.finalize_start.weak_compartment_callback":0.009,"sweep.update_atoms_bitmap":0.09,"sweep.sweep_atoms_table":0.382,"sweep.sweep_compartments":1.456,"sweep.sweep_compartments.sweep_breakpoint":0,"sweep.sweep_compartments.sweep_jit_data":0.074,"sweep.sweep_compartments.sweep_misc":0.001,"sweep.sweep_compartments.sweep_types":0.818,"sweep.sweep_compartments.sweep_types.sweep_types_begin":0.002,"sweep.sweep_compartments.sweep_types.sweep_types_end":0.003,"sweep.sweep_compartments.join_parallel_tasks":0.512,"sweep.sweep_object":0.004,"sweep.sweep_string":0.002,"sweep.sweep_script":0.003,"sweep.sweep_scope":0.001,"sweep.sweep_regexp_shared":0.001,"sweep.sweep_shape":0.206,"sweep.finalize_end":0.053,"sweep.destroy":0.156},"end_timestamp":null}],"totals":{"evict_nursery_for_major_gc":2.233,"evict_nursery_for_major_gc.mark_roots":0.029,"evict_nursery_for_major_gc.mark_roots.mark_stack":0.014,"wait_background_thread":1.367,"prepare":0.475,"prepare.mark_discard_code":0.443,"prepare.purge":0.013,"prepare.join_parallel_tasks":0,"mark":5.092,"mark.mark_roots":0.265,"mark.mark_roots.mark_ccws":0.001,"mark.mark_roots.mark_stack":0.023,"mark.mark_roots.mark_runtime_data":0.194,"mark.mark_roots.mark_embedding":0.014,"sweep":4.133,"sweep.sweep_mark":0.742,"sweep.sweep_mark.sweep_mark_incoming_black":0,"sweep.sweep_mark.sweep_mark_weak":0.022,"sweep.sweep_mark.sweep_mark_incoming_gray":0,"sweep.sweep_mark.sweep_mark_gray":0.706,"sweep.sweep_mark.sweep_mark_gray_weak":0.01,"sweep.finalize_start":0.043,"sweep.finalize_start.weak_zones_callback":0.031,"sweep.finalize_start.weak_compartment_callback":0.009,"sweep.update_atoms_bitmap":0.09,"sweep.sweep_atoms_table":0.382,"sweep.sweep_compartments":1.456,"sweep.sweep_compartments.sweep_breakpoint":0,"sweep.sweep_compartments.sweep_jit_data":0.074,"sweep.sweep_compartments.sweep_misc":0.001,"sweep.sweep_compartments.sweep_types":0.818,"sweep.sweep_compartments.sweep_types.sweep_types_begin":0.002,"sweep.sweep_compartments.sweep_types.sweep_types_end":0.003,"sweep.sweep_compartments.join_parallel_tasks":0.512,"sweep.sweep_object":0.004,"sweep.sweep_string":0.002,"sweep.sweep_script":0.003,"sweep.sweep_scope":0.001,"sweep.sweep_regexp_shared":0.001,"sweep.sweep_shape":0.206,"sweep.finalize_end":0.053,"sweep.destroy":0.156,"barrier":0.607,"barrier.unmark_gray":0.344}}]}},"content":{"histograms":{"CYCLE_COLLECTOR_OOM":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"CYCLE_COLLECTOR_WORKER_OOM":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"GEOLOCATION_ERROR":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"XUL_CACHE_DISABLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"CHARSET_OVERRIDE_USED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_RELEASE_OPTOUT":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_RELEASE_OPTIN":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_FLAG_CONTENT_PROCESS":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"STARTUP_CRASH_DETECTED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SEARCH_SERVICE_US_COUNTRY_MISMATCHED_TIMEZONE":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SEARCH_SERVICE_US_TIMEZONE_MISMATCHED_COUNTRY":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"ENABLE_PRIVILEGE_EVER_CALLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"COMPONENTS_SHIM_ACCESSED_BY_CONTENT":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"DEVTOOLS_PERFTOOLS_RECORDING_IMPORT_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"DEVTOOLS_PERFTOOLS_RECORDING_EXPORT_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"MASTER_PASSWORD_ENABLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SHOULD_TRANSLATION_UI_APPEAR":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SHOULD_AUTO_DETECT_LANGUAGE":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"FXA_CONFIGURED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0}},"keyedHistograms":{},"scalars":{},"keyedScalars":{},"gc":{"random":[],"worst":[]}},"extension":{"histograms":{"CYCLE_COLLECTOR_OOM":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"CYCLE_COLLECTOR_WORKER_OOM":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"GEOLOCATION_ERROR":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"XUL_CACHE_DISABLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"CHARSET_OVERRIDE_USED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_RELEASE_OPTOUT":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_RELEASE_OPTIN":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_FLAG_CONTENT_PROCESS":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"STARTUP_CRASH_DETECTED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SEARCH_SERVICE_US_COUNTRY_MISMATCHED_TIMEZONE":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SEARCH_SERVICE_US_TIMEZONE_MISMATCHED_COUNTRY":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"ENABLE_PRIVILEGE_EVER_CALLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"COMPONENTS_SHIM_ACCESSED_BY_CONTENT":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"DEVTOOLS_PERFTOOLS_RECORDING_IMPORT_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"DEVTOOLS_PERFTOOLS_RECORDING_EXPORT_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"MASTER_PASSWORD_ENABLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SHOULD_TRANSLATION_UI_APPEAR":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SHOULD_AUTO_DETECT_LANGUAGE":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"FXA_CONFIGURED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0}},"keyedHistograms":{},"scalars":{},"keyedScalars":{}},"dynamic":{"scalars":{}},"gpu":{"histograms":{},"keyedHistograms":{},"scalars":{},"keyedScalars":{}}},"histograms":{"A11Y_INSTANTIATED_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"A11Y_ISIMPLEDOM_USAGE_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"A11Y_IATABLE_USAGE_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"CYCLE_COLLECTOR_OOM":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"CYCLE_COLLECTOR_WORKER_OOM":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"CYCLE_COLLECTOR_ASYNC_SNOW_WHITE_FREEING":{"range":[1,10000],"bucket_count":50,"histogram_type":0,"values":{"0":8,"1":0},"sum":0},"GC_REASON_2":{"range":[1,100],"bucket_count":101,"histogram_type":1,"values":{"33":0,"34":6,"35":0},"sum":204},"GC_IS_COMPARTMENTAL":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":6,"1":0},"sum":0},"GC_MS":{"range":[1,10000],"bucket_count":50,"histogram_type":0,"values":{"7":0,"8":1,"10":1,"12":3,"14":1,"17":0},"sum":75},"GC_MAX_PAUSE_MS_2":{"range":[1,10000],"bucket_count":50,"histogram_type":0,"values":{"7":0,"8":1,"10":1,"12":3,"14":1,"17":0},"sum":75},"GC_MARK_MS":{"range":[1,10000],"bucket_count":50,"histogram_type":0,"values":{"3":0,"4":2,"5":3,"6":1,"7":0},"sum":29},"GC_SWEEP_MS":{"range":[1,10000],"bucket_count":50,"histogram_type":0,"values":{"2":0,"3":3,"4":3,"5":0},"sum":21},"GC_MARK_ROOTS_MS":{"range":[1,200],"bucket_count":50,"histogram_type":1,"values":{"0":6,"1":0},"sum":0},"GC_MARK_GRAY_MS":{"range":[1,200],"bucket_count":50,"histogram_type":1,"values":{"0":6,"1":0},"sum":0},"GC_SLICE_MS":{"range":[1,10000],"bucket_count":50,"histogram_type":0,"values":{"7":0,"8":1,"10":1,"12":3,"14":1,"17":0},"sum":75},"GC_MMU_50":{"range":[1,100],"bucket_count":20,"histogram_type":1,"values":{"56":0,"62":1,"67":1,"73":3,"78":1,"84":0},"sum":440},"GC_RESET":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":6,"1":0},"sum":0},"GC_INCREMENTAL_DISABLED":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":6,"1":0},"sum":0},"GC_NON_INCREMENTAL":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":0,"1":6,"2":0},"sum":6},"GC_NON_INCREMENTAL_REASON":{"range":[1,20],"bucket_count":21,"histogram_type":1,"values":{"0":0,"1":6,"2":0},"sum":6},"GC_SCC_SWEEP_TOTAL_MS":{"range":[1,500],"bucket_count":50,"histogram_type":1,"values":{"0":6,"1":0},"sum":0},"GC_SCC_SWEEP_MAX_PAUSE_MS":{"range":[1,500],"bucket_count":50,"histogram_type":1,"values":{"0":6,"1":0},"sum":0},"GC_MINOR_REASON":{"range":[1,100],"bucket_count":101,"histogram_type":1,"values":{"33":0,"34":6,"35":0},"sum":204},"GC_MINOR_REASON_LONG":{"range":[1,100],"bucket_count":101,"histogram_type":1,"values":{"33":0,"34":5,"35":0},"sum":170},"GC_MINOR_US":{"range":[1,1000000],"bucket_count":100,"histogram_type":0,"values":{"414":0,"471":1,"1026":1,"1724":2,"2235":1,"3300":1,"3758":0},"sum":11496},"GC_NURSERY_BYTES":{"range":[1,16777216],"bucket_count":16,"histogram_type":1,"values":{"1198374":0,"2396746":6,"3595119":0},"sum":18874368},"GC_PRETENURE_COUNT":{"range":[1,32],"bucket_count":33,"histogram_type":1,"values":{"0":6,"1":0},"sum":0},"GEOLOCATION_ERROR":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"XUL_CACHE_DISABLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"MEMORY_RESIDENT_FAST":{"range":[32768,16777216],"bucket_count":100,"histogram_type":0,"values":{"96699":0,"103055":5,"109828":0},"sum":546512},"MEMORY_TOTAL":{"range":[32768,16777216],"bucket_count":100,"histogram_type":0,"values":{"96699":0,"103055":4,"109828":1,"117047":0},"sum":546808},"MEMORY_UNIQUE":{"range":[32768,16777216],"bucket_count":100,"histogram_type":0,"values":{"85139":0,"90735":5,"96699":0},"sum":461372},"MEMORY_VSIZE":{"range":[32768,16777216],"bucket_count":100,"histogram_type":0,"values":{"1696203":0,"1807688":5,"1926500":0},"sum":9150228},"MEMORY_JS_COMPARTMENTS_SYSTEM":{"range":[1,1000],"bucket_count":50,"histogram_type":0,"values":{"2":0,"3":5,"4":0},"sum":15},"MEMORY_JS_COMPARTMENTS_USER":{"range":[1,1000],"bucket_count":50,"histogram_type":0,"values":{"0":0,"1":5,"2":0},"sum":5},"MEMORY_JS_GC_HEAP":{"range":[1024,16777216],"bucket_count":200,"histogram_type":0,"values":{"5693":0,"5979":5,"6279":0},"sum":30720},"MEMORY_STORAGE_SQLITE":{"range":[1024,524288],"bucket_count":50,"histogram_type":0,"values":{"0":0,"1024":5,"1166":0},"sum":5655},"MEMORY_IMAGES_CONTENT_USED_UNCOMPRESSED":{"range":[1024,1048576],"bucket_count":50,"histogram_type":0,"values":{"0":5,"1024":0},"sum":0},"MEMORY_HEAP_ALLOCATED":{"range":[1024,16777216],"bucket_count":200,"histogram_type":0,"values":{"21379":0,"22453":1,"23581":4,"24765":2,"26009":0},"sum":169803},"MEMORY_HEAP_OVERHEAD_FRACTION":{"range":[1,100],"bucket_count":25,"histogram_type":1,"values":{"1":0,"5":3,"10":2,"14":0},"sum":47},"GHOST_WINDOWS":{"range":[1,128],"bucket_count":32,"histogram_type":0,"values":{"0":5,"1":0},"sum":0},"PAGE_FAULTS_HARD":{"range":[8,65536],"bucket_count":13,"histogram_type":0,"values":{"0":5,"8":0},"sum":0},"HTTP_REQUEST_PER_CONN":{"range":[1,1000],"bucket_count":50,"histogram_type":0,"values":{"0":0,"1":5,"2":0},"sum":5},"HTTP_PROXY_TYPE":{"range":[1,8],"bucket_count":9,"histogram_type":1,"values":{"0":0,"1":4,"2":0},"sum":4},"HTTP_TRANSACTION_IS_SSL":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":3,"1":0},"sum":0},"HTTP_TRANSACTION_USE_ALTSVC":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":4,"1":0},"sum":0},"HTTP_SCHEME_UPGRADE_TYPE":{"range":[1,50],"bucket_count":51,"histogram_type":5,"values":{"0":0,"1":4,"2":0},"sum":4},"HTTP_ONSTART_SUSPEND_TOTAL_TIME":{"range":[1,60000],"bucket_count":100,"histogram_type":0,"values":{"0":5,"1":0},"sum":0},"NETWORK_RACE_CACHE_WITH_NETWORK_USAGE_2":{"range":[1,50],"bucket_count":51,"histogram_type":5,"values":{"0":5,"1":0},"sum":0},"NETWORK_RACE_CACHE_BANDWIDTH_NOT_RACE":{"range":[32,16777216],"bucket_count":100,"histogram_type":0,"values":{"0":1,"108":4,"124":0},"sum":448},"HTTP_CHANNEL_DISPOSITION":{"range":[1,16],"bucket_count":17,"histogram_type":1,"values":{"0":2,"2":3,"3":0},"sum":6},"HTTP_CHANNEL_ONSTART_SUCCESS":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":2,"1":3,"2":0},"sum":3},"HTTP_CONNECTION_ENTRY_CACHE_HIT_1":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":0,"1":4,"2":0},"sum":4},"TRANSACTION_WAIT_TIME_HTTP":{"range":[1,5000],"bucket_count":100,"histogram_type":0,"values":{"0":4,"1":0},"sum":0},"DNS_LOOKUP_METHOD2":{"range":[1,16],"bucket_count":17,"histogram_type":1,"values":{"0":0,"1":4,"2":0},"sum":4},"HTTPCONNMGR_TOTAL_SPECULATIVE_CONN":{"range":[1,1000000],"bucket_count":50,"histogram_type":0,"values":{"0":0,"1":4,"2":0},"sum":4},"HTTPCONNMGR_USED_SPECULATIVE_CONN":{"range":[1,1000000],"bucket_count":50,"histogram_type":0,"values":{"0":0,"1":4,"2":0},"sum":4},"STARTUP_MEASUREMENT_ERRORS":{"range":[1,16],"bucket_count":17,"histogram_type":1,"values":{"1":0,"2":6,"3":0},"sum":12},"CHARSET_OVERRIDE_USED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"XMLHTTPREQUEST_ASYNC_OR_SYNC":{"range":[1,2],"bucket_count":3,"histogram_type":2,"values":{"0":4,"1":0},"sum":0},"TELEMETRY_ARCHIVE_DIRECTORIES_COUNT":{"range":[1,13],"bucket_count":12,"histogram_type":1,"values":{"0":0,"1":4,"2":0},"sum":4},"TELEMETRY_ARCHIVE_OLDEST_DIRECTORY_AGE":{"range":[1,13],"bucket_count":12,"histogram_type":1,"values":{"0":4,"1":0},"sum":0},"TELEMETRY_ARCHIVE_SCAN_PING_COUNT":{"range":[1,100000],"bucket_count":100,"histogram_type":0,"values":{"5":0,"6":1,"7":1,"8":1,"9":1,"10":0},"sum":30},"TELEMETRY_ARCHIVE_SESSION_PING_COUNT":{"range":[1,2],"bucket_count":3,"histogram_type":4,"values":{"0":6,"1":0},"sum":6},"TELEMETRY_ARCHIVE_EVICTED_OLD_DIRS":{"range":[1,13],"bucket_count":12,"histogram_type":1,"values":{"0":4,"1":0},"sum":0},"TELEMETRY_ARCHIVE_EVICTING_DIRS_MS":{"range":[1,300000],"bucket_count":20,"histogram_type":0,"values":{"0":3,"300000":1},"sum":600000},"TELEMETRY_PENDING_PINGS_SIZE_MB":{"range":[1,17],"bucket_count":16,"histogram_type":1,"values":{"0":4,"1":0},"sum":0},"TELEMETRY_PENDING_PINGS_AGE":{"range":[1,365],"bucket_count":30,"histogram_type":0,"values":{"304":0,"365":4},"sum":31312},"TELEMETRY_PENDING_PINGS_EVICTED_OVER_QUOTA":{"range":[1,100000],"bucket_count":100,"histogram_type":0,"values":{"0":4,"1":0},"sum":0},"TELEMETRY_PENDING_EVICTING_OVER_QUOTA_MS":{"range":[1,300000],"bucket_count":20,"histogram_type":0,"values":{"0":4,"1":0},"sum":0},"TELEMETRY_PENDING_CHECKING_OVER_QUOTA_MS":{"range":[1,300000],"bucket_count":20,"histogram_type":0,"values":{"0":4,"1":0},"sum":0},"TELEMETRY_SUCCESSFUL_SEND_PINGS_SIZE_KB":{"range":[10,1024],"bucket_count":20,"histogram_type":0,"values":{"0":3,"10":0},"sum":13},"TELEMETRY_FAILED_SEND_PINGS_SIZE_KB":{"range":[10,1024],"bucket_count":20,"histogram_type":0,"values":{"0":2,"10":0},"sum":8},"TELEMETRY_COMPRESS":{"range":[1,3000],"bucket_count":10,"histogram_type":0,"values":{"0":0,"1":4,"3":0},"sum":4},"TELEMETRY_STRINGIFY":{"range":[1,3000],"bucket_count":10,"histogram_type":0,"values":{"0":4,"1":0},"sum":0},"TELEMETRY_SESSIONDATA_FAILED_LOAD":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_SESSIONDATA_FAILED_PARSE":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_SESSIONDATA_FAILED_VALIDATION":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_SESSIONDATA_FAILED_SAVE":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_RELEASE_OPTOUT":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_RELEASE_OPTIN":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_TEST_FLAG_MAIN_PROCESS":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"STARTUP_CRASH_DETECTED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SEARCH_SERVICE_US_COUNTRY_MISMATCHED_TIMEZONE":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SEARCH_SERVICE_US_TIMEZONE_MISMATCHED_COUNTRY":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"ENABLE_PRIVILEGE_EVER_CALLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"COMPONENTS_SHIM_ACCESSED_BY_CONTENT":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"TELEMETRY_MEMORY_REPORTER_MS":{"range":[1,5000],"bucket_count":10,"histogram_type":0,"values":{"3":0,"9":5,"26":0},"sum":64},"DEVTOOLS_PERFTOOLS_RECORDING_IMPORT_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"DEVTOOLS_PERFTOOLS_RECORDING_EXPORT_FLAG":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"OSFILE_WRITEATOMIC_JANK_MS":{"range":[1,5000],"bucket_count":10,"histogram_type":0,"values":{"0":17,"1":1,"3":0},"sum":1},"MASTER_PASSWORD_ENABLED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SHOULD_TRANSLATION_UI_APPEAR":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"SHOULD_AUTO_DETECT_LANGUAGE":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0},"FXA_CONFIGURED":{"range":[1,2],"bucket_count":3,"histogram_type":3,"values":{"0":1,"1":0},"sum":0}},"keyedHistograms":{"HTTP_CHANNEL_DISPOSITION_UPGRADE":{"disabledWont":{"range":[1,50],"bucket_count":51,"histogram_type":5,"values":{"0":2,"2":3,"3":0},"sum":6}},"NOTIFY_OBSERVERS_LATENCY_MS":{"garbage-collection-statistics":{"range":[3,512],"bucket_count":20,"histogram_type":0,"values":{"0":1,"3":0},"sum":1}}},"info":{"reason":"shutdown","revision":"https://hg.mozilla.org/try/rev/cad7786268171af69bfad6462aa40587a2a03c0a","timezoneOffset":0,"previousBuildId":null,"sessionId":"2ee147ce-3aea-4c82-94e1-1dc4b5169fcc","subsessionId":"b6f6813f-8090-46cc-b020-69ad37f10fbf","previousSessionId":"19505d9a-c3d6-482e-a7d3-8366e6ea6f52","previousSubsessionId":"33657f86-30cf-445f-aaef-2b0cab47889b","subsessionCounter":1,"profileSubsessionCounter":23,"sessionStartDate":"2040-02-01T12:00:00.0+00:00","subsessionStartDate":"2040-02-01T12:00:00.0+00:00","sessionLength":4505,"subsessionLength":0,"flashVersion":"1.0.0.0"},"slowSQL":{"mainThread":{},"otherThreads":{}},"fileIOReports":null,"lateWrites":{"memoryMap":[],"stacks":[]},"addonDetails":{"XPI":{"tel-system-xpi@tests.mozilla.org":{"location":"app-system-defaults"}}}},"clientId":"b07adca5-1c35-4478-820d-9f6f66e1ff1e","environment":{"build":{"applicationId":"xpcshell@tests.mozilla.org","applicationName":"XPCShell","architecture":"x86-64","buildId":"20160315","version":"1","vendor":"Mozilla","displayVersion":"64.0a1","platformVersion":"1.9.2","xpcomAbi":"noarch-spidermonkey","updaterAvailable":true},"partner":{"distributionId":null,"distributionVersion":null,"partnerId":null,"distributor":null,"distributorChannel":null,"partnerNames":[]},"system":{"memoryMB":7478,"virtualMaxMB":null,"cpu":{"count":2,"cores":1,"vendor":"GenuineIntel","family":6,"model":62,"stepping":4,"l2cacheKB":256,"l3cacheKB":25600,"speedMHz":null,"extensions":["hasMMX","hasSSE","hasSSE2","hasSSE3","hasSSSE3","hasSSE4_1","hasSSE4_2","hasAVX","hasAES"]},"os":{"name":"Linux","version":"4.4.0-1014-aws","locale":"en-US"},"hdd":{"profile":{"model":null,"revision":null},"binary":{"model":null,"revision":null},"system":{"model":null,"revision":null}},"gfx":{"D2DEnabled":null,"DWriteEnabled":null,"ContentBackend":"Skia","adapters":[{"description":null,"vendorID":null,"deviceID":null,"subsysID":null,"RAM":null,"driver":null,"driverVersion":null,"driverDate":null,"GPUActive":true}],"monitors":[],"features":{"compositor":"none","gpuProcess":{"status":"unused"},"wrQualified":{"status":"blocked"},"webrender":{"status":"unavailable"}}},"appleModelId":null},"settings":{"blocklistEnabled":true,"e10sEnabled":false,"e10sMultiProcesses":0,"telemetryEnabled":false,"locale":"en-US","update":{"channel":"default","enabled":true,"autoDownload":true},"userPrefs":{"toolkit.telemetry.test.pref1":2},"sandbox":{"effectiveContentProcessLevel":0},"addonCompatibilityCheckEnabled":true,"isDefaultBrowser":null},"profile":{"creationDate":17770},"addons":{"activeAddons":{},"theme":{"id":"default-theme@mozilla.org","blocklisted":false,"description":"The default theme.","name":"Default","userDisabled":false,"appDisabled":false,"version":"","scope":1,"foreignInstall":false,"hasBinaryComponents":false,"installDay":0,"updateDay":0},"activePlugins":[{"name":"dummy","version":"0.1","description":"Blocklist unavailable","blocklisted":false,"disabled":true,"clicktoplay":false,"mimeTypes":["text/there.is.only.blocklist"],"updateDay":17770}],"activeGMPlugins":{"dummy-gmp":{"version":"0.1","userDisabled":false,"applyBackgroundUpdates":1}},"persona":"default-theme@mozilla.org"},"experiments":{"experiment-2":{"branch":"other-branch"}}}} == true
[task 2018-08-27T12:09:05.362Z] 12:09:05     INFO -  TEST-PASS | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_sendShutdownPing - [test_sendShutdownPing : 1044] The 'shutdown' ping must be saved to disk. - "shutdown" == "shutdown"
[task 2018-08-27T12:09:05.363Z] 12:09:05  WARNING -  TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_sendShutdownPing - [test_sendShutdownPing : 1046] The OS shutdown scalar must be set to true. - "undefined" == true
[task 2018-08-27T12:09:05.364Z] 12:09:05     INFO -  /builds/worker/workspace/build/tests/xpcshell/tests/toolkit/components/telemetry/tests/unit/test_TelemetrySession.js:checkPendingShutdownPing:1046
[task 2018-08-27T12:09:05.365Z] 12:09:05     INFO -  exiting test
[task 2018-08-27T12:09:05.366Z] 12:09:05     INFO -  Unexpected exception NS_ERROR_ABORT:
[task 2018-08-27T12:09:05.367Z] 12:09:05     INFO -  _abort_failed_test@/builds/worker/workspace/build/tests/xpcshell/head.js:746:9
[task 2018-08-27T12:09:05.367Z] 12:09:05     INFO -  do_report_result@/builds/worker/workspace/build/tests/xpcshell/head.js:853:5
[task 2018-08-27T12:09:05.368Z] 12:09:05     INFO -  Assert<@/builds/worker/workspace/build/tests/xpcshell/head.js:55:5
[task 2018-08-27T12:09:05.369Z] 12:09:05     INFO -  proto.report@resource://testing-common/Assert.jsm:214:5
[task 2018-08-27T12:09:05.370Z] 12:09:05     INFO -  proto.ok@resource://testing-common/Assert.jsm:231:3
[task 2018-08-27T12:09:05.371Z] 12:09:05     INFO -  checkPendingShutdownPing@/builds/worker/workspace/build/tests/xpcshell/tests/toolkit/components/telemetry/tests/unit/test_TelemetrySession.js:1046:5
[task 2018-08-27T12:09:05.371Z] 12:09:05     INFO -  async*test_sendShutdownPing@/builds/worker/workspace/build/tests/xpcshell/tests/toolkit/components/telemetry/tests/unit/test_TelemetrySession.js:1086:9
[task 2018-08-27T12:09:05.372Z] 12:09:05     INFO -  async*run_next_test/_run_next_test/<@/builds/worker/workspace/build/tests/xpcshell/head.js:1441:22
[task 2018-08-27T12:09:05.373Z] 12:09:05     INFO -  async*_run_next_test@/builds/worker/workspace/build/tests/xpcshell/head.js:1441:10
[task 2018-08-27T12:09:05.375Z] 12:09:05     INFO -  run@/builds/worker/workspace/build/tests/xpcshell/head.js:692:9
[task 2018-08-27T12:09:05.376Z] 12:09:05     INFO -  _do_main@/builds/worker/workspace/build/tests/xpcshell/head.js:219:3
[task 2018-08-27T12:09:05.377Z] 12:09:05     INFO -  _execute_test@/builds/worker/workspace/build/tests/xpcshell/head.js:533:5
[task 2018-08-27T12:09:05.378Z] 12:09:05     INFO -  @-e:1:1
[task 2018-08-27T12:09:05.378Z] 12:09:05     INFO -  exiting test
Summary: toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0 is going to permafail when the Gecko version number is bumped to 64 on 2018-09-04 → toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_sendShutdownPing - [test_sendShutdownPing : 1046] The OS shutdown scalar must be set to true. is going to permafail when the Gecko version number is bumped to 64 on 2018-09-04
os_shutting_down can probably removed (both that part of the test and the scalar, as in bug 1389992). Chris, can you see any reason to extend this? It seems like if we want to do shutdown-restart measurements again we'd want a different probe that more accurately reflects whether auto restart occurred, so we can safely dispose of this one.
Flags: needinfo?(agashlin) → needinfo?(cpeterson)
Comment on attachment 9004301 [details]
Bug 1486423: Remove expiring telemetry.os_shutting_down probe

Chris H-C :chutten has approved the revision.
Attachment #9004301 - Flags: review+
(In reply to Adam Gashlin [:agashlin] from comment #2)
> os_shutting_down can probably removed (both that part of the test and the
> scalar, as in bug 1389992). Chris, can you see any reason to extend this? It
> seems like if we want to do shutdown-restart measurements again we'd want a
> different probe that more accurately reflects whether auto restart occurred,
> so we can safely dispose of this one.

I don't see any reason to keep this probe around. Feel free to remove it at your leisure. :)
Flags: needinfo?(cpeterson)
Pushed by agashlin@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4548d4980eec
Remove expiring telemetry.os_shutting_down probe r=chutten
https://hg.mozilla.org/mozilla-central/rev/4548d4980eec
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla63
Assignee: nobody → agashlin
You need to log in before you can comment on or make changes to this bug.